/**
 * Rechteck
 * 
 * This is GPL'd code
 * (c) by Patrick Kilian 2003
 *
 */
import org.vhb.jop.simpleIO.SimpleInput;
/**
 *
 * Eine Klasse, die die x- und y- Koordinaten von zwei Punkten speichert.
 * Achtung es findet _keine_ Fehlerbehandlung statt.
 *
 * @author Patrick Kilian
 * @version 1.00
 */
public class Rechteck {
    public double x1 = 0; // x-Koordinate des ersten Punktes
    public double x2 = 0; // x-Koordinate des zweiten Punktes
    public double y1 = 0; // y-Koordinate des ersten Punktes
    public double y2 = 0; // y-Koordinate des zweiten Punktes
    /**
     * Konstruktor der Klasse Rechteck.
     * Es werden die x- und y- Koordinaten von zwei Punkten eingelesen
     * und vorsortiert.
     * Keine Aufrufsparameter
     * Achtung es findet _keine_ Fehlerbehandlung statt.
     */
    public Rechteck() {
        double temp = 0;
        System.out.println("Bitte die x-Koordinate des ersten Punktes.");
        x1 = SimpleInput.in.getDouble();
        System.out.println("Bitte die y-Koordinate des ersten Punktes.");
        y1 = SimpleInput.in.getDouble();
        System.out.println("Bitte die x-Koordinate des zweiten Punktes.");
        x2 = SimpleInput.in.getDouble();
        System.out.println("Bitte die y-Koordinate des zweiten Punktes.");
        y2 = SimpleInput.in.getDouble();
        if (x2 < x1) { // Erspart das Bilden des Betrages
            temp = x1;
            x1 = x2;
            x2 = temp;
            temp = 0;
        }
        if (y2 < y1) { // Erspart das Bilden des Betrages
            temp = y1;
            y1 = y2;
            y2 = temp;
            temp = 0;
        }
    }
}
